#include <SPI.h>

#include "pic/Logo_EA.h"
#include "pic/Logo_DV.h"
#include "TFT80x160.h"


#define RESET_PIN 5
#define DC_PIN 6
#define CS_PIN 4

#define PAUSE 2000

void setup() 
{
  SPI.begin(CS_PIN);
  SPI.setBitOrder(CS_PIN, MSBFIRST);
  SPI.setDataMode(CS_PIN, SPI_MODE0);
  SPI.setClockDivider(CS_PIN, 6); //Max frequency write EA TFT009-81AINN 15.15 MHz
  pinMode(RESET_PIN, OUTPUT);
  pinMode(DC_PIN, OUTPUT);
  digitalWrite(DC_PIN, HIGH);

  digitalWrite(RESET_PIN, LOW);
  delay(1);
  digitalWrite(RESET_PIN, HIGH);
  delay(5);
  TFTinit();
  setTFTangle(90);
  TFTfill(RGB565(255, 255,255), 0,0, gTFTwidth-1, gTFTheight-1);
}

void loop() 
{
  TFTfill(RGB565(255, 255,255), 0,0, gTFTwidth-1, gTFTheight-1);
  TFTbitmap(0,4,Logo_EA);
  delay_ms(PAUSE);
  
  TFTfill(RGB565(255, 255,255), 0,0, gTFTwidth-1, gTFTheight-1);
  TFTbitmap(0,7,Logo_DV);
  delay_ms(PAUSE);
  
  TFTfill(RGB565(60,60,60), 0,0, gTFTwidth-1, gTFTheight-1);
  setTFTfont(FONT_7X12,1,2); 
  setTFTcolor(RGB565(255,255,0), RGB565(0,0,255));
  TFTtext(13,0, "ELECTRONIC ASSEMBLY");
  TFTtext(13,24, "  DISPLAY VISIONS  ");
  setTFTfont(FONT_8X16,1,2); 
  setTFTcolor(RGB565(255,160,47), RGB565(60,60,60));
  TFTtext(15,48,"EA TFT009-81AINN");
  delay_ms(2*PAUSE);
  
  TFTfill(RGB565(0, 255,0), 0,0, gTFTwidth-1, gTFTheight-1);
  setTFTfont(FONT_30X38,1,2); 
  setTFTcolor(RGB565(255,255,0),RGB565(0,0,255));
  TFTtext(5,2,"13:19");
  delay_ms(PAUSE);

}

void delay_ms(unsigned long ms)
{
  delay(ms);
}

void write_cmd(BYTE dat)
{
  digitalWrite(DC_PIN, LOW);
  SPI.transfer(CS_PIN, dat);
  SPI.endTransaction();
  digitalWrite(DC_PIN, HIGH);
}


void write_dat(BYTE dat)
{
  SPI.transfer(CS_PIN, dat);
  SPI.endTransaction();
}

void write_dat_buf(BYTE *dat, WORD len)
{
  SPI.transfer(CS_PIN, dat, len);
  SPI.endTransaction();
}
